Eclipse Platform Release 3.7

## org.eclipse.ui.about
Interface IInstallationPageContainer

    public interface IInstallationPageContainer

Interface for a container that hosts one or more installation pages ( `InstallationPage`).

Since:
  3.5
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`void` `closeModalContainers()` Closes any modal containers that were used to launch this installation page.
`void` `registerPageButton(InstallationPage page, Button button)` Register a button as belonging to a particular page in the container.

Method Detail

### registerPageButton

    void registerPageButton(InstallationPage page,
                            Button button)

  Register a button as belonging to a particular page in the container. The container will manage the placement and visibility of the page's buttons.

  Parameters:
    `page` - the page that created the button
    `button` - the button to be managed

### closeModalContainers

    void closeModalContainers()

  Closes any modal containers that were used to launch this installation page. This method should be used when a page is launching a long-running task (such as a background job) that requires progress indication, in order to allow platform progress indication to behave as expected.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.